VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "ItemLaw"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' Cannot be parsed from title
Public gid_ As Long
Public status_ As TLawStatus
Public isDummy_ As Boolean
Public fileName_ As String

' Can be parsed or infered from law title
Public type_ As TLawType
Public title_ As String
Public typeTxt_ As String
Public creator_ As String
Public date_ As String
Public number_ As String
Public header_ As String
Public attach_ As String
Public isScoped_ As Boolean

Private Sub Class_Initialize()
  gid_ = HT03_INVALID_GID
  type_ = T_LAW_01_UNKNOWN
  status_ = T_LAWS_FULL
  isScoped_ = False
  isDummy_ = False
End Sub

Public Function Clone() As ItemLaw
  Set Clone = New ItemLaw
  With Clone
    .gid_ = gid_
    .status_ = status_
    .type_ = type_
    .fileName_ = fileName_
    .title_ = title_
    .typeTxt_ = typeTxt_
    .creator_ = creator_
    .date_ = date_
    .number_ = number_
    .header_ = header_
    .attach_ = attach_
    .isScoped_ = isScoped_
    .isDummy_ = isDummy_
  End With
End Function

Public Function InitDummy(gid&)
  gid_ = gid
  type_ = T_LAW_01_UNKNOWN
  fileName_ = HT03_FILE_NOT_LOADED
  title_ = HT03_TITLE_NOT_LOADED
  isDummy_ = True
End Function
